[arch-commits] Commit in mesa/repos (testing-i686 testing-i686/PKGBUILD)

andyrtr at archlinux.org andyrtr at archlinux.org
Wed Oct 21 17:09:09 EDT 2009


    Date: Wednesday, October 21, 2009 @ 17:09:08
  Author: andyrtr
Revision: 56440

Merged revisions 56071,56247,56438 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/mesa/trunk

........
  r56071 | thomas | 2009-10-19 07:49:50 +0000 (Mo, 19 Okt 2009) | 2 lines
  
  Disable intel on gallium for the next build
........
  r56247 | jgc | 2009-10-20 11:06:25 +0000 (Di, 20 Okt 2009) | 1 line
  
  Fix FS#16749
........
  r56438 | andyrtr | 2009-10-21 21:04:36 +0000 (Mi, 21 Okt 2009) | 2 lines
  
  upgpkg: mesa 7.6-2
      disable intel gallium for now; enable r600 ati dri
........

Modified:
  mesa/repos/testing-i686/	(properties)
  mesa/repos/testing-i686/PKGBUILD

----------+
 PKGBUILD |   12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)


Property changes on: mesa/repos/testing-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /mesa/trunk:1-54950
   + /mesa/trunk:1-56439

Modified: testing-i686/PKGBUILD
===================================================================
--- testing-i686/PKGBUILD	2009-10-21 21:05:32 UTC (rev 56439)
+++ testing-i686/PKGBUILD	2009-10-21 21:09:08 UTC (rev 56440)
@@ -4,9 +4,9 @@
 pkgbase="mesa"
 pkgname=('mesa' 'libgl' 'ati-dri' 'intel-dri' 'unichrome-dri' 'mach64-dri' 'mga-dri' 'r128-dri' 'savage-dri' 'sis-dri' 'tdfx-dri' 'trident-dri' 'nouveau-dri')
 pkgver=7.6
-pkgrel=1
+pkgrel=2
 arch=(i686 x86_64)
-makedepends=('glproto>=1.4.10' 'pkgconfig' 'libdrm>=2.4.15' 'libxxf86vm>=1.1.0' 'libxdamage>=1.1.2' 'expat>=2.0.1' 'libx11>=1.3' 'libxt>=1.0.7' 'gcc-libs>=4.4.1' 'dri2proto=2.1')
+makedepends=('glproto>=1.4.10' 'pkgconfig' 'libdrm>=2.4.15' 'libxxf86vm>=1.1.0' 'libxdamage>=1.1.2' 'expat>=2.0.1' 'libx11>=1.3.1' 'libxt>=1.0.7' 'gcc-libs>=4.4.2' 'dri2proto=2.1')
 url="http://mesa3d.sourceforge.net"
 license=('custom')
 #options=(!makeflags)
@@ -29,8 +29,9 @@
   patch -Np1 -i "${srcdir}/intel-revert-vbl.patch" || return 1
   ./configure --prefix=/usr \
     --with-dri-driverdir=/usr/lib/xorg/modules/dri \
-    --with-dri-drivers=swrast,radeon,r200,r300,i810,i915,i965,unichrome,mach64,mga,r128,savage,sis,tdfx,trident \
+    --with-dri-drivers=swrast,radeon,r200,r300,r600,i810,i915,i965,unichrome,mach64,mga,r128,savage,sis,tdfx,trident \
     --enable-gallium-nouveau \
+    --disable-gallium-intel \
     --with-state-trackers=dri,egl \
     --enable-glx-tls \
     --with-driver=dri \
@@ -106,6 +107,7 @@
   make -C radeon DESTDIR="${pkgdir}" install || return 1
   make -C r200 DESTDIR="${pkgdir}" install || return 1
   make -C r300 DESTDIR="${pkgdir}" install || return 1
+  make -C r600 DESTDIR="${pkgdir}" install || return 1
 }
 
 package_intel-dri() {
@@ -118,8 +120,8 @@
   make -C i965 DESTDIR="${pkgdir}" install || return 1
 
 #  cd "${srcdir}/Mesa-${pkgver}/src/gallium/winsys/drm/intel/egl"
-  cd "${srcdir}/Mesa-${pkgver}/src/gallium/winsys/drm/intel"
-  make DESTDIR="${pkgdir}" install || return 1
+#  cd "${srcdir}/Mesa-${pkgver}/src/gallium/winsys/drm/intel"
+#  make DESTDIR="${pkgdir}" install || return 1
 }
 
 package_unichrome-dri() {



More information about the arch-commits mailing list